知識Z(ゼータ)


Date:2019/03/02
Category: WordPress
大型アップデートが行われたWordPress5.0。エディターGutenbergでエラーが出たり混乱が見られるユーザーも。

自分の現状を簡単にメモ。

・gutenbergで記事更新しようとすると「更新に失敗しました」とエラーがでる。

・一般設定の「WordPress アドレス (URL)」と「サイトアドレス (URL)」を別にして運用している環境下で、上記のエラーがでるが、一緒にして運用しているとエラーは出ない。

・「WordPress アドレス (URL)」と「サイトアドレス (URL)」を別にして運用していても、旧エディタープラグイン「Classic Editor」を有効化すれば問題なく更新できる。

その他、 GutenbergはREST APIを利用しているため、エックスサーバー等においては、REST APIの使用を制限してしまうとエラーになるとの報告も。コンパネのWPセキュリティ設定から「XML-RPC API アクセス制限」「REST API アクセス制限」OFFにしたら直ったという報告も。



その後、特になにも変更してないような気がするのだが、なぜか無事に更新できるようになった。Xserverの仕様変更があった?今後の案件などもあるため、サポートに聞いてみよう。


モッピー | お金がたまるポイントサイト
About Us

知識Z(ゼータ)は違法性のあるコンテンツ、不適切な表現の含まれるコンテンツを一切を排除した安心安全な総合優良コンテンツサイトを目指しています。細心の注意を払っておりますが、万が一、不適切なコンテンツ等がございましたら、ご一報ください。ご意見・ご連絡

当サイトは、月額1,050円で高機能・安心レンタルサーバーの【XSERVER(エックスサーバー) 】にて運営させていただいております。いつも大変ありがとうございます。

Calendar
<   2019-03   >
     12
3456789
10111213141516
17181920212223
24252627282930
31      

Amazon.co.jp
What's New
タグ
オンラインデータ
訪問者数:0 人
投稿記事数:285 件
10132481